package textin

import (
	_ "embed"

	"apigo.cc/ai"
	"github.com/ssgo/u"
)

//go:embed default.yml
var defaultYml string

func init() {
	defaultConf := ai.AILoadConfig{}
	u.Convert(u.UnYamlMap(defaultYml), &defaultConf)
	ai.Register("textin", &ai.Agent{
		ScanConfigs: defaultConf.Scan,
		Scan:        Scan,
	})
}
